%define name ltris
%define version 000705
%define release 2mdk

Summary: a nice tetris clone
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://lgames.sourceforge.net/ltris/%{name}%{version}.tar.bz2
Source4: %{name}.menu
Source5: %{name}16.xpm
Source6: %{name}32.xpm
Source7: %{name}48.xpm
Patch0: ltris-000705-nosound.patch
Copyright: GPL
Group: Games/Arcade
Packager: Pixel <pixel@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
o Tetris clone using SDL                                                              
o Sound                                                                               
o Menu                                                                                
o Controls can be redefined                                                           
o Block preview                                                                       
o Starting level between 0 and 9                                                      
o Various backgrounds                                                                 
o HighScores                                                                          
o Nice graphics                                                                       
o Smooth gameplay                                                                     
o Cool effects (transparency, animations)                                             
o Two player mode                                                                     
o Two game modes                                                                      

%prep
%setup -n %{name}
%patch0 -p1

# HACK
perl -pi -e 's|/usr/local/share/games/ltris|%{_datadir}/%{name}|' ltris/main.cpp

%build
export CFLAGS=-g
export CXXFLAGS=-g
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall datadir=$RPM_BUILD_ROOT%{_datadir}/%{name}

install -D -m644 %SOURCE4 $RPM_BUILD_ROOT%{_menudir}/%{name}
install -D -m644 %SOURCE6 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -D -m644 %SOURCE7 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/*
%{_iconsdir}/*.xpm
%{_miconsdir}/*
%{_liconsdir}/*

%changelog
* Wed Oct  4 2000 Pixel <pixel@mandrakesoft.com> 000705-2mdk
- new icons (thanks to the author Michael Speck)

* Fri Sep 29 2000 Pixel <pixel@mandrakesoft.com> 000705-1mdk
- initial spec


# end of file
